package com.hxhq.business.dto.mjy;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @author 15881
 */
public class FfjlListDto {
    /** id */
    private Long id;

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 发放转移条件 */
    private String ffzytj;

    /** 发放日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ffrq;

    /** 归还日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ghrq;

    /** 出库量 */
    private String ckl;

    /** 出库量单位 */
    private String ckldw;

    /** 入库量 */
    private String rkl;

    /** 入库单位 */
    private String rkldw;

    /** 入库毛重 */
    private String rkmz;

    /** 入库毛重单位 */
    private String rkmzdw;

    /** 出库毛重 */
    private String ckmz;

    /** 出库毛重单位 */
    private String ckmzdw;

    /** 领取人1名称 */
    private String lqr1Mc;

    /** 领取人2名称 */
    private String lqr2Mc;

    /** 发放人1名称 */
    private String ffr1Mc;

    /** 发放人2名称 */
    private String ffr2Mc;

    /** 使用量 */
    private String syl;

    /** 使用量单位 */
    private String syldw;

    /** 暂存柜名称 */
    private String zcgMc;

    /** 目的名称 */
    private String mdMc;

    /** 接收人1名称 */
    private String jsr1Mc;

    /** 接收人2名称 */
    private String jsr2Mc;

    /** 记录状态 1:未锁定 3:已锁定 5:待归档 7:归档 9:待解档 */
    private Long jlzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Long jyzt;


    /** 发放目的名称 */
    private String mdMcs;

    /** 发放目的其他 */
    private String mdOther;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    /** 归档申请人id */
    private Long gdsqrId;

    public Long getGdsqrId() {
        return gdsqrId;
    }

    public void setGdsqrId(Long gdsqrId) {
        this.gdsqrId = gdsqrId;
    }
    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public String getMdMcs() {
        return mdMcs;
    }

    public void setMdMcs(String mdMcs) {
        this.mdMcs = mdMcs;
    }

    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }

    public String getRkmz() {
        return rkmz;
    }

    public void setRkmz(String rkmz) {
        this.rkmz = rkmz;
    }

    public String getRkmzdw() {
        return rkmzdw;
    }

    public void setRkmzdw(String rkmzdw) {
        this.rkmzdw = rkmzdw;
    }

    public String getJsr1Mc() {
        return jsr1Mc;
    }

    public void setJsr1Mc(String jsr1Mc) {
        this.jsr1Mc = jsr1Mc;
    }

    public String getJsr2Mc() {
        return jsr2Mc;
    }

    public void setJsr2Mc(String jsr2Mc) {
        this.jsr2Mc = jsr2Mc;
    }

    public String getMdMc() {
        return mdMc;
    }

    public void setMdMc(String mdMc) {
        this.mdMc = mdMc;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getFfzytj() {
        return ffzytj;
    }

    public void setFfzytj(String ffzytj) {
        this.ffzytj = ffzytj;
    }

    public Date getFfrq() {
        return ffrq;
    }

    public void setFfrq(Date ffrq) {
        this.ffrq = ffrq;
    }

    public Date getGhrq() {
        return ghrq;
    }

    public void setGhrq(Date ghrq) {
        this.ghrq = ghrq;
    }

    public String getCkl() {
        return ckl;
    }

    public void setCkl(String ckl) {
        this.ckl = ckl;
    }

    public String getCkldw() {
        return ckldw;
    }

    public void setCkldw(String ckldw) {
        this.ckldw = ckldw;
    }

    public String getRkl() {
        return rkl;
    }

    public void setRkl(String rkl) {
        this.rkl = rkl;
    }

    public String getRkldw() {
        return rkldw;
    }

    public void setRkldw(String rkldw) {
        this.rkldw = rkldw;
    }

    public String getCkmz() {
        return ckmz;
    }

    public void setCkmz(String ckmz) {
        this.ckmz = ckmz;
    }

    public String getCkmzdw() {
        return ckmzdw;
    }

    public void setCkmzdw(String ckmzdw) {
        this.ckmzdw = ckmzdw;
    }

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public String getFfr1Mc() {
        return ffr1Mc;
    }

    public void setFfr1Mc(String ffr1Mc) {
        this.ffr1Mc = ffr1Mc;
    }

    public String getFfr2Mc() {
        return ffr2Mc;
    }

    public void setFfr2Mc(String ffr2Mc) {
        this.ffr2Mc = ffr2Mc;
    }

    public String getSyl() {
        return syl;
    }

    public void setSyl(String syl) {
        this.syl = syl;
    }

    public String getSyldw() {
        return syldw;
    }

    public void setSyldw(String syldw) {
        this.syldw = syldw;
    }

    public String getZcgMc() {
        return zcgMc;
    }

    public void setZcgMc(String zcgMc) {
        this.zcgMc = zcgMc;
    }

    public Long getJlzt() {
        return jlzt;
    }

    public void setJlzt(Long jlzt) {
        this.jlzt = jlzt;
    }

    public Long getJyzt() {
        return jyzt;
    }

    public void setJyzt(Long jyzt) {
        this.jyzt = jyzt;
    }
}
